clang 10.0.0git

Classes | Namespaces
DependentDiagnostic.h File Reference
`#include "clang/AST/DeclBase.h"`
`#include "clang/AST/DeclContextInternals.h"`
`#include "clang/AST/Type.h"`
`#include "clang/Basic/PartialDiagnostic.h"`
`#include "clang/Basic/SourceLocation.h"`
`#include "clang/Basic/Specifiers.h"`
`#include <cassert>`
`#include <iterator>`
Include dependency graph for DependentDiagnostic.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::DependentDiagnostic
| A dependently-generated diagnostic. More...
class | clang::DeclContext::ddiag_iterator
| An iterator over the dependent diagnostics in a dependent context. More...

## Namespaces
| clang
| Dataflow Directional Tag Classes.